petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCoarsen_Moab

Generate a multi-level uniform refinement hierarchy by succesively refining a coarse mesh, already defined in the DM object provided by the user.

### Synopsis

    PETSC_EXTERN PetscErrorCode DMCoarsen_Moab(DM dm, MPI_Comm comm, DM* dmc)

Collective on DM

### Input Parameter

dm -The DMMoab object
comm -the communicator to contain the new DM object (or MPI_COMM_NULL)

### Output Parameter

dmf -the coarsened DM, or NULL

Note: If no coarsening was done, the return value is NULL

### Keywords

DMMoab, create, coarsening

### Level

developer

### Location

src/dm/impls/moab/dmmbmg.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages